AdfRichSelectManyShuttle.SELECTION = "selection";
AdfRichSelectManyShuttle.POINTERTYPE = "pointerType";
AdfRichSelectManyShuttle.InitSubclass = function() {
  AdfUIComponent.SetDisconnectedProperty(this, AdfRichSelectManyShuttle.SELECTION);
  AdfUIComponent.SetDisconnectedProperty(this, AdfRichSelectManyShuttle.POINTERTYPE);
};
AdfRichSelectManyShuttle.prototype.getSelection = function() {
  return this.getProperty(AdfRichSelectManyShuttle.SELECTION);
};
AdfRichSelectManyShuttle.prototype.setSelection = function(selection) {
  AdfAssert.assertArray(selection);
  return this.setProperty(AdfRichSelectManyShuttle.SELECTION, selection);
};
